Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 609012 - Review Request: gooddata-cl - GoodData integration toolkit
Summary: Review Request: gooddata-cl - GoodData integration toolkit
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Ingeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 594414 594416 609011
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-29 08:08 UTC by Lubomir Rintel
Modified: 2010-11-05 18:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-05 18:25:21 UTC
mi: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2010-06-29 08:08:31 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/gooddata-cl.spec
SRPM: http://v3.sk/~lkundrak/gooddata-cli/gooddata-cl-1.0-0.1.20100628git.fc13.src.rpm

Description:

This is GoodData data integration toolkit. The toolkit contains data
modeling, transformation and loading utilities that work on top of the
GoodData REST APIs.

Comment 1 Lubomir Rintel 2010-06-29 08:09:22 UTC
Builds only in Fedora 14 now. The complete stack with necessary dependencies runnable on Fedora 13 is here: http://v3.sk/~lkundrak/gooddata-cli/

Comment 4 R P Herrold 2010-09-21 15:09:48 UTC
the URL in the .spec file returns a dead link -- perhaps replace it with: http://developer.gooddata.com/

-- Russ herrold

Comment 5 Michal Ingeli 2010-11-04 15:58:26 UTC
* description and spec file clean, no useless comments

- URL contains a dead link.
- Project name and package name consistency GoodData-CL Vs. gooddata-cl
- Build failed for f13 [1] and also f14 [2]. 
- rpmlint errors:

  gooddata-cl.src: W: invalid-url Source0: gooddata-cl-1.1.4.tar.gz
  * sources from git repo - OK

  gooddata-cl.src: W: no-buildroot-tag
  * if this package is intended to be build for EPEL, it should contain buildroot tag.

  gooddata-cl.src: W: strange-permission gooddata-cli 0755L
  * file listed in %{_bindir}, rpmlint shouldn't be complaining

- missing BuildDeps reported by koji:

DEBUG util.py:260:  No Package Found for axis >= 1.4
DEBUG util.py:260:  No Package Found for javacc-maven-plugin
DEBUG util.py:260:  No Package Found for xpp3-minimal >= 1.1.3.8-3.4
DEBUG util.py:260:  No Package Found for xstream >= 1.3.1
DEBUG util.py:260:  No Package Found for json-lib
DEBUG util.py:260:  No Package Found for gdata-java > 1.39

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2576436
[2] http://koji.fedoraproject.org/koji/taskinfo?taskID=2576466

Comment 6 Lubomir Rintel 2010-11-04 16:43:36 UTC
(In reply to comment #5)
> * description and spec file clean, no useless comments
> 
> - URL contains a dead link.

Fixed

> - Project name and package name consistency GoodData-CL Vs. gooddata-cl
> - Build failed for f13 [1]

F13 is too old.

and also f14 [2]. 

Fixed.

>   gooddata-cl.src: W: no-buildroot-tag
>   * if this package is intended to be build for EPEL, it should contain
> buildroot tag.

EPEL is even more ancient.

>   gooddata-cl.src: W: strange-permission gooddata-cli 0755L
>   * file listed in %{_bindir}, rpmlint shouldn't be complaining

Well this is about the Source file. Fixed.

> - missing BuildDeps reported by koji:
> 
> DEBUG util.py:260:  No Package Found for axis >= 1.4
> DEBUG util.py:260:  No Package Found for javacc-maven-plugin
> DEBUG util.py:260:  No Package Found for xpp3-minimal >= 1.1.3.8-3.4
> DEBUG util.py:260:  No Package Found for xstream >= 1.3.1
> DEBUG util.py:260:  No Package Found for json-lib
> DEBUG util.py:260:  No Package Found for gdata-java > 1.39

This is on F13. That's too old.

SPEC: http://v3.sk/~lkundrak/SPECS/gooddata-cl.spec
SRPM:
http://v3.sk/~lkundrak/SRPMS/gooddata-cl-1.1.4-2.fc14.src.rpm

Comment 7 Lubomir Rintel 2010-11-04 16:43:54 UTC
Built: http://koji.fedoraproject.org/koji/taskinfo?taskID=2576732

Comment 8 Michal Ingeli 2010-11-05 10:20:39 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > - Project name and package name consistency GoodData-CL Vs. gooddata-cl
> > - Build failed for f13 [1]
> 
> F13 is too old.
> 
> and also f14 [2]. 
> 
> Fixed.

Ok. Builds fine.
 
> >   gooddata-cl.src: W: strange-permission gooddata-cli 0755L
> >   * file listed in %{_bindir}, rpmlint shouldn't be complaining
> 
> Well this is about the Source file. Fixed.

OK.

> > - missing BuildDeps reported by koji:
> > 
> > DEBUG util.py:260:  No Package Found for axis >= 1.4
> > DEBUG util.py:260:  No Package Found for javacc-maven-plugin
> > DEBUG util.py:260:  No Package Found for xpp3-minimal >= 1.1.3.8-3.4
> > DEBUG util.py:260:  No Package Found for xstream >= 1.3.1
> > DEBUG util.py:260:  No Package Found for json-lib
> > DEBUG util.py:260:  No Package Found for gdata-java > 1.39
> 
> This is on F13. That's too old.

Ok. So this package is not stated for F13 and older, EL5 and older.

- License OK.
- Packager is not using and installing maven dependency maps, so [1] is not required.
- Missing buildroot tag is OK, package is NOT for ancient releases.

* few more rpmlint warnings:

  * E: explicit-lib-dependency json-lib
  Can rpm figure out the dependency by itself?

  * W: non-conffile-in-etc /etc/gooddata-cl/log4j.configuration
  Consider adding %config

  * W: class-path-in-manifest /usr/share/java/gooddata-cl/cli-1.1.4.jar

[1] http://fedoraproject.org/wiki/Packaging/Java#maven

Comment 9 Lubomir Rintel 2010-11-05 13:49:36 UTC
(In reply to comment #8)
> * few more rpmlint warnings:
> 
>   * E: explicit-lib-dependency json-lib
>   Can rpm figure out the dependency by itself?

This is a rpmlint glitch. "lib" in the name here does not imply that the package provides a .so shared library that would be discovered by the rpm autoreq generator.

>   * W: non-conffile-in-etc /etc/gooddata-cl/log4j.configuration
>   Consider adding %config

Done.

>   * W: class-path-in-manifest /usr/share/java/gooddata-cl/cli-1.1.4.jar

Fixed

SPEC: http://v3.sk/~lkundrak/SPECS/gooddata-cl.spec
SRPM:
http://v3.sk/~lkundrak/SRPMS/gooddata-cl-1.1.4-3.fc14.src.rpm

Comment 10 Michal Ingeli 2010-11-05 14:10:50 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > * few more rpmlint warnings:
> > 
> >   * E: explicit-lib-dependency json-lib
> >   Can rpm figure out the dependency by itself?
> 
> This is a rpmlint glitch. "lib" in the name here does not imply that the
> package provides a .so shared library that would be discovered by the rpm
> autoreq generator.

OK

> SPEC: http://v3.sk/~lkundrak/SPECS/gooddata-cl.spec
> SRPM:
> http://v3.sk/~lkundrak/SRPMS/gooddata-cl-1.1.4-3.fc14.src.rpm

Builds OK. Installs OK. 

APPROVED

Comment 11 Lubomir Rintel 2010-11-05 14:26:08 UTC
New Package SCM Request
=======================
Package Name: gooddata-cl
Short Description: GoodData Integration toolkit
Owners: lkundrak
Branches: f14

Comment 12 Jason Tibbitts 2010-11-05 17:17:21 UTC
Git done (by process-git-requests).

Comment 13 Lubomir Rintel 2010-11-05 18:25:21 UTC
Thanks!
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.